UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMEventQueueStatistics Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMEventQueueStatistics:

## Public Member Functions
| LBMEventQueueStatistics ()
| LBMEventQueueStatistics (UMMonAttributes attributes, EventQueue eqStats) throws LBMException
| LBMEventQueueStatistics (LBMMonitorReceiver lbmmonrcv, ByteBuffer attributeBuffer, ByteBuffer eqStats) throws LBMException
| LBMEventQueueStatistics (LBMEventQueue evq) throws LBMException
void | refresh (LBMEventQueue evq) throws LBMException
void | dispose ()
long | dataMessages () throws LBMException
long | dataMessagesTotal () throws LBMException
long | dataMessagesMinimumServiceTime () throws LBMException
long | dataMessagesMeanServiceTime () throws LBMException
long | dataMessagesMaximumServiceTime () throws LBMException
long | responseMessages () throws LBMException
long | responseMessagesTotal () throws LBMException
long | responseMessagesMinimumServiceTime () throws LBMException
long | responseMessagesMeanServiceTime () throws LBMException
long | responseMessagesMaximumServiceTime () throws LBMException
long | topiclessImmediateMessages () throws LBMException
long | topiclessImmediateMessagesTotal () throws LBMException
long | topiclessImmediateMessagesMinimumServiceTime () throws LBMException
long | topiclessImmediateMessagesMeanServiceTime () throws LBMException
long | topiclessImmediateMessagesMaximumServiceTime () throws LBMException
long | wildcardReceiverMessages () throws LBMException
long | wildcardReceiverMessagesTotal () throws LBMException
long | wildcardReceiverMessagesMinimumServiceTime () throws LBMException
long | wildcardReceiverMessagesMeanServiceTime () throws LBMException
long | wildcardReceiverMessagesMaximumServiceTime () throws LBMException
long | ioEvents () throws LBMException
long | ioEventsTotal () throws LBMException
long | ioEventsMinimumServiceTime () throws LBMException
long | ioEventsMeanServiceTime () throws LBMException
long | ioEventsMaximumServiceTime () throws LBMException
long | timerEvents () throws LBMException
long | timerEventsTotal () throws LBMException
long | timerEventsMinimumServiceTime () throws LBMException
long | timerEventsMeanServiceTime () throws LBMException
long | timerEventsMaximumServiceTime () throws LBMException
long | sourceEvents () throws LBMException
long | sourceEventsTotal () throws LBMException
long | sourceEventsMinimumServiceTime () throws LBMException
long | sourceEventsMeanServiceTime () throws LBMException
long | sourceEventsMaximumServiceTime () throws LBMException
long | unblockEvents () throws LBMException
long | unblockEventsTotal () throws LBMException
long | cancelEvents () throws LBMException
long | cancelEventsTotal () throws LBMException
long | cancelEventsMinimumServiceTime () throws LBMException
long | cancelEventsMeanServiceTime () throws LBMException
long | cancelEventsMaximumServiceTime () throws LBMException
long | callbackEvents () throws LBMException
long | callbackEventsTotal () throws LBMException
long | callbackEventsMinimumServiceTime () throws LBMException
long | callbackEventsMeanServiceTime () throws LBMException
long | callbackEventsMaximumServiceTime () throws LBMException
long | contextSourceEvents () throws LBMException
long | contextSourceEventsTotal () throws LBMException
long | contextSourceEventsMinimumServiceTime () throws LBMException
long | contextSourceEventsMeanServiceTime () throws LBMException
long | contextSourceEventsMaximumServiceTime () throws LBMException
long | events () throws LBMException
long | eventsTotal () throws LBMException
long | minimumAge () throws LBMException
long | meanAge () throws LBMException
long | maximumAge () throws LBMException
String | displayString (String aString)
String | getApplicationSourceId ()
InetAddress | getSender () throws UnknownHostException
Date | getTimestamp ()
long | getProcessId ()
long | getContextId ()
String | getContextInstance ()
long | getDomainId ()

## Protected Member Functions
void | finalize ()
String | getHexString (byte[] raw)
void | setSender (long ip)
void | setSenderIpv4Address (String ip) throws LBMException
void | setTimestamp (long ts)
void | setApplicationSourceId (String appid)
void | setProcessId (long pid)
void | setContextId (long cid)
void | setContextInstance (String cinst)
void | setDomainId (long did)

## Detailed Description

UM EventQueue Statistics

This object provides user monitoring with access to statistics of an application being monitored. The user monitoring code can be part of the application being monitored (i.e. the application can be "self-monitoring"), or the monitoring code can be remote, using the lbmmon infrastructure to deliver statistics.

        Note that when stats are sampled, the fields in the structure are not
        necessarily from the same instant in time.  The structure might be
        updated concurrently with it being sampled, and while each structure
        field is atomically read, the field values can be skewed slightly
        across time.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMEventQueueStatistics.LBMEventQueueStatistics | ( |  | ) |

Instantiate an empty object containing no statistics.

com.latencybusters.lbm.LBMEventQueueStatistics.LBMEventQueueStatistics | ( | UMMonAttributes | attributes,
|  | EventQueue | eqStats
| ) |  | throws LBMException

Instantiate an object containing the event queue statistics from a Protobuf message.

Parameters

  attributes | An UMMonAttributesProtos.UMMonAttributes
  eqStats | An UMSMonProtos.Stats.EventQueue

Exceptions

  LBMException | if any error occurred retrieving event queue statistics.

com.latencybusters.lbm.LBMEventQueueStatistics.LBMEventQueueStatistics | ( | LBMMonitorReceiver | lbmmonrcv,
|  | ByteBuffer | attributeBuffer,
|  | ByteBuffer | eqStats
| ) |  | throws LBMException

Instantiate an object containing the event queue statistics from a passthrough CSV message.

Parameters

  lbmmonrcv | LBMMonitorReceiver that received this packet.
  attributeBuffer | A ByteBuffer of packet attributes passed to the passthrough callback
  eqStats | A ByteBuffer of CSV statistics passed to the passthrough callback

Exceptions

  LBMException | if any error occurred retrieving context statistics.

com.latencybusters.lbm.LBMEventQueueStatistics.LBMEventQueueStatistics | ( | LBMEventQueue | evq | ) | throws LBMException

Instantiate an object containing the current set of event queue statistics for a given UM Event Queue.

Parameters

  evq | LBMEventQueue object

Exceptions

  LBMException | if any error occurred retrieving event queue statistics.

See also
  refresh

References com.latencybusters.lbm.LBMEventQueueStatistics.refresh().

## Member Function Documentation

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEvents | ( |  | ) | throws LBMException

Number of callback events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of callback events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for callback events (in microseconds). This is the high-water mark (i.e., the longest so far) for callback event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for callback events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for callback events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated callback event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for callback events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for callback events (in microseconds). This is the low-water mark (i.e., the shortest so far) for callback event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for callback events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of callback events that have been added to the event queue even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of callback events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEvents | ( |  | ) | throws LBMException

Number of cancel events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of cancel events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter.

Returns
  Maximum service time for cancel events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter.

Returns
  Mean service time for cancel events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for cancel events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of cancel events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of cancel events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEvents | ( |  | ) | throws LBMException

Number of context source events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of context source events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for context source events (in microseconds). This is the high-water mark (i.e., the longest so far) for context source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for context source events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for context source events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated context source event service durations, measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for context source events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for context source events (in microseconds). This is the low-water mark (i.e., the shortest so far) for context source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for context source events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of context source events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of context source events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessages | ( |  | ) | throws LBMException

Number of data messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Data messages currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving data messages.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for data messages (in microseconds). This is the high-water mark (i.e., the longest so far) for data message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for data messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving maximum service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for data messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for data messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving mean service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for data messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for data messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving minimum service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesTotal | ( |  | ) | throws LBMException

Total accumulated number of data messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total data messages enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving total data messages.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

void com.latencybusters.lbm.LBMEventQueueStatistics.dispose | ( |  | ) |

Free memory associated with this set of statistics.

Referenced by com.latencybusters.lbm.LBMObjectRecycler.close(), and com.latencybusters.lbm.LBMEventQueueStatistics.finalize().

long com.latencybusters.lbm.LBMEventQueueStatistics.events | ( |  | ) | throws LBMException

Total number of events (including messages) currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.eventsTotal | ( |  | ) | throws LBMException

Total accumulated number of events (including messages) that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of events that have been enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

void com.latencybusters.lbm.LBMEventQueueStatistics.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMEventQueueStatistics.dispose().

String com.latencybusters.lbm.LBMStatistics.getApplicationSourceId | ( |  | ) |
| inherited

Retrieve the application source identifier associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Application source ID

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

long com.latencybusters.lbm.LBMStatistics.getContextId | ( |  | ) |
| inherited

Retrieve the sending context ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Context ID

String com.latencybusters.lbm.LBMStatistics.getContextInstance | ( |  | ) |
| inherited

Retrieve the sending context instance associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Context Instance

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

long com.latencybusters.lbm.LBMStatistics.getDomainId | ( |  | ) |
| inherited

Retrieve the sending domain ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Domain ID

References com.latencybusters.lbm.LBMStatistics.getApplicationSourceId(), com.latencybusters.lbm.LBMStatistics.getContextInstance(), com.latencybusters.lbm.LBMStatistics.getSender(), and com.latencybusters.lbm.LBMStatistics.getTimestamp().

long com.latencybusters.lbm.LBMStatistics.getProcessId | ( |  | ) |
| inherited

Retrieve the sending process ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Process ID

InetAddress com.latencybusters.lbm.LBMStatistics.getSender | ( |  | ) | throws UnknownHostException
| inherited

Retrieve the IP sender address associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  InetAddress object corresponding to the statistics' sender IP address

Exceptions

  UnknownHostException | if IP address is of illegal length.

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

Date com.latencybusters.lbm.LBMStatistics.getTimestamp | ( |  | ) |
| inherited

Retrieve the timestamp associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Timestamp Date object

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEvents | ( |  | ) | throws LBMException

Number of I/O events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of I/O events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for I/O events (in microseconds). This is the high-water mark (i.e., the longest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for I/O events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for I/O events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated I/O event service durations, measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for I/O events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMinimumServiceTime | ( |  | ) | throws LBMException

Minimum Service Time for I/O Events (in microseconds). This is the low-water mark (i.e., the shortest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for I/O events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of I/O events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of I/O events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge | ( |  | ) | throws LBMException

Maximum age of event queue entry when dequeued (in microseconds). This is the high-water mark for the measured age of any event or message (i.e., the oldest one so far) from the point of enqueuement until de-queuement. Configuration option queue_age_enabled must be activated.

Returns
  Maximum age of event queue entry when dequeued (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

References com.latencybusters.lbm.LBMEventQueueStatistics.callbackEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.callbackEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.cancelEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.cancelEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.contextSourceEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.dataMessages(), com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.dataMessagesTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.events(), com.latencybusters.lbm.LBMEventQueueStatistics.eventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.ioEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.ioEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.meanAge(), com.latencybusters.lbm.LBMEventQueueStatistics.minimumAge(), com.latencybusters.lbm.LBMEventQueueStatistics.responseMessages(), com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.sourceEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.timerEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessages(), com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMinimumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.unblockEvents(), com.latencybusters.lbm.LBMEventQueueStatistics.unblockEventsTotal(), com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessages(), com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMaximumServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMeanServiceTime(), com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMinimumServiceTime(), and com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesTotal().

long com.latencybusters.lbm.LBMEventQueueStatistics.meanAge | ( |  | ) | throws LBMException

Mean age of event queue entries when dequeued (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated event or message ages (measured from the point enqueuement until de-queuement). Configuration option queue_age_enabled must be activated.

Returns
  Mean age of event queue entry when dequeued (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.minimumAge | ( |  | ) | throws LBMException

Minimum age of event queue entry when dequeued (in microseconds). This is the low-water mark for the measured age of any event or message (i.e., the shortest one so far) from the point of enqueuement until de-queuement. Configuration option queue_age_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum age of event queue entry when dequeued (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

void com.latencybusters.lbm.LBMEventQueueStatistics.refresh | ( | LBMEventQueue | evq | ) | throws LBMException

Refresh event queue statistics for a given LBMEventQueue

Parameters

  evq | LBMEventQueue object

Exceptions

  LBMException | if any error occurred retrieving event queue statistics.

Referenced by com.latencybusters.lbm.LBMEventQueue.getStatistics(), and com.latencybusters.lbm.LBMEventQueueStatistics.LBMEventQueueStatistics().

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessages | ( |  | ) | throws LBMException

Number of response messages (from receiver objects) currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Response messages currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving response messages.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for response messages (in microseconds). This is the high-water mark (i.e., the longest so far) for response message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for response messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving maximum service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for response messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for response messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving mean service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for response messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for response messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving minimum service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.responseMessagesTotal | ( |  | ) | throws LBMException

Total accumulated number of response messages that have been added to the event queue (even if subsequently de-queued) since last reset.

Returns
  Total response messages enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving total response messages.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEvents | ( |  | ) | throws LBMException

Number of source events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of source events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for source events (in microseconds). This is the high-water mark (i.e., the longest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for source events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for source events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated source event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for source events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for source events (in microseconds). This is the low-water mark (i.e., the shortest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for source events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.sourceEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of source events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of source events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEvents | ( |  | ) | throws LBMException

Number of timer events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of timer events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for timer events (in microseconds). This is the high-water mark (i.e., the longest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for timer events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for timer events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated timer event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for timer events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for timer events (in microseconds). This is the low-water mark (i.e., the shortest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for timer events (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.timerEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of timer events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of timer events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessages | ( |  | ) | throws LBMException

Number of topic-less Multicast Immediate Messaging (MIM) messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Topic-less MIM messages currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving topicless immediate messages

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the high-water mark (i.e., the longest so far) for topic-less MIM message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time for topic-less MIM messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving maximum service time

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time for topic-less MIM messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving mean service time

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time for topic-less MIM messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving minimum service time.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.topiclessImmediateMessagesTotal | ( |  | ) | throws LBMException

Total accumulated number of topic-less Multicast Immediate Messaging (MIM) messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total topic-less MIM messages enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving total topicless immediate messages

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.unblockEvents | ( |  | ) | throws LBMException

Number of unblock events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of unblock events currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.unblockEventsTotal | ( |  | ) | throws LBMException

Total accumulated number of unblock events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of unblock events enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the statistics.

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessages | ( |  | ) | throws LBMException

Number of wildcard receiver messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled must be activated.

Returns
  Number of wildcard messages currently in the event queue

Exceptions

  LBMException | if any error occurred retrieving the number of wildcard messages enqueued.

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMaximumServiceTime | ( |  | ) | throws LBMException

Maximum service time for wildcard receiver messages (in microseconds). This is the high-water mark (i.e., the longest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Maximum service time of wildcard messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the maximum service time of wildcard messages

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMeanServiceTime | ( |  | ) | throws LBMException

Mean service time for wildcard receiver messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated wildcard receiver message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

Returns
  Mean service time of wildcard messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the mean service time of wildcard messages

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesMinimumServiceTime | ( |  | ) | throws LBMException

Minimum service time for wildcard receiver messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled must be activated.

This field is initialized to all 1s (-1 if printed signed).

Returns
  Minimum service time of wildcard messages (in microseconds)

Exceptions

  LBMException | if any error occurred retrieving the minimum service time of wildcard messages

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

long com.latencybusters.lbm.LBMEventQueueStatistics.wildcardReceiverMessagesTotal | ( |  | ) | throws LBMException

Total accumulated number of wildcard receiver messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled must be activated.

Returns
  Total number of wildcard messages enqueued since last reset

Exceptions

  LBMException | if any error occurred retrieving the total number of wildcard messages

See also
  LBMEventQueueStatistics(LBMEventQueue)
  LBM

Referenced by com.latencybusters.lbm.LBMEventQueueStatistics.maximumAge().

The documentation for this class was generated from the following file:

- LBMEventQueueStatistics.java